#!/bin/sh

echo -n "Apt::Update:Post-invoke script: -n"
CURRENT_FIRMWARE=`sudo hdparm -I /dev/sda | grep Firmware | cut -c22-29`
SLEEP_COUNT=30
OLD_VERSION="605ABBF2"
FLAG_FILE=/tmp/kingston_firmware_was_updated

if [ $CURRENT_FIRMWARE = $OLD_VERSION ] || [ -f $FLAG_FILE ]; then
  echo "Sleeping to help sync file system"

  for i in $(seq 1 $SLEEP_COUNT);
  do
    echo -n "."
    sleep 1
  done
else
  echo "Kingston Firmware does not require delay."
fi
echo "done."
